Subject: Reserved Words?

From: Ronald Duncan <[email-masked]>
Date: Sat, 03 Nov 2001 10:15:56 +0000

Within the IOTP protocol there are a number of words that are used and there
is a requirement to block these from acting as Brand or Currency ID's.

There are two groups words that are used in the RFC and words that are
controlled by IANA.

I have not produced an exhaustive list of words in the 290 pages of the RFC.

However in the context of the debate on 'Credits'.  Credits does not appear
with in the RFC.  HOWEVER CREDIT appears 44 times in two  contexts.

1/. A credit card credit or debit

2/. Secure Channel Credit/Debit

Clearly a BrandID of Credit whilst not on the list of words currently used
in the protocol would lead to significant confusion.  I believe that Credits
would be acceptable however I understand others reservations.

Your thoughts please.

--
Regards  --  [email-masked] http://www.ukplc.net
+44 (0) Tel 0118 963 7000     Mobile 07973 754 817     Fax 0118 963 7350
@UK PLC, 5 Jupiter House, Calleva Park, Reading, RG7 8NN, England 

The words currently used in the protocol and controlled by IANA appear to
be.

sha1
signature
Pay
ISO4217-A Currency Codes
IOTP
Post
Web
Email
PCDATA
MIME
XML
Offer
Payment
Delivery
Authentication
Unidentified
Consumer
Merchant
PaymentHandler
DelivTo
CustCare
BaselineAuthentication
BaselineDeposit
BaselinePurchase
BaselineRefund
BaselineWithdrawal
BaselineValueExchange
BaselineInquiry
BaselinePing
OfferResponse
PaymentResponse
DeliveryResponse
AuthenticationRequest
AuthenticationResponse
PingRequest
PingResponse